services:
  postgres_key:

    container_name: postgres_key

    image: postgres:alpine
    
    environment:
      - POSTGRES_USER=keycloak_user
      - POSTGRES_PASSWORD=keycloak_password
      - POSTGRES_DB=keycloak_db

    networks:
      keycloak-shared-network:
    ports:
      - "15432:15432"
    volumes:
      - keycloak_data:/var/lib/postgresql/data
      - ./postgres/logs:/var/logs/postgres


volumes:
  keycloak_data:

networks:
  jobited-net:
    driver: bridge
  keycloak-shared-network:
    external: true
